Get a list of document references
get
/DocumentReference
Note: The FHIR API endpoints described below are currently pending production deployment for electronic health record (EHR) environments. Developers are welcome and encouraged to develop against the specifications in anticipation of production availability, which will be announced at a later date.
Retrieves a list of document references that meet the supplied query parameters.
Request
Query Parameters
-
_id: string
The logical resource ID.
-
_revinclude: string
The related Provenance resources to include in the search bundle.Allowed Values:
[ "Provenance:target" ] -
category: string
A categorization for the type of document referenced.
-
date: string
When the document reference was created.
-
patient: string
Who or what the document is about.
-
type: string
The type of document referenced.
Header Parameters
-
accept(required): string
The media type to be requested.
Example:
application/fhir+json -
authorization(required): string
The credentials to authenticate a consumer to the service. This should be the OAuth2 Bearer Token.
There's no request body for this operation.
Back to TopResponse
200 Response
Successful search response.
Root Schema : schema
Type:
Show Source
object-
entry: array
entry
-
id(required): string
-
link: array
link
-
resourceType(required): string
Allowed Values:
[ "Bundle" ] -
type(required): string
Nested Schema : DocumentReference
Type:
Show Source
object-
author: array
author
The individual who is responsible for adding the information to the document.
-
category(required): array
category
A categorization for the type of document referenced.
-
content(required): array
content
The document and format referenced.
-
context:
context
The clinical context in which the document was prepared.
-
date: string
(date-time)
When the document reference was created.
-
id(required): string
-
identifier: array
identifier
The other identifiers associated with the document, including version-independent identifiers.
-
resourceType(required): string
Allowed Values:
[ "DocumentReference" ] -
status(required): string
The status of this document reference.
-
subject(required):
subject
Who or what the document is about.
-
type(required):
type
The particular type of document referenced.
Nested Schema : category
Type:
arrayA categorization for the type of document referenced.
Show Source
Nested Schema : context
The clinical context in which the document was prepared.
Match All
The clinical context in which the document was prepared.
Show Source
Nested Schema : identifier
Type:
arrayThe other identifiers associated with the document, including version-independent identifiers.
Show Source
Nested Schema : subject
Who or what the document is about.
Match All
Who or what the document is about.
Show Source
Nested Schema : type
The particular type of document referenced.
Match All
The particular type of document referenced.
Show Source
Nested Schema : DocumentReferenceContent
Type:
Show Source
object-
attachment(required):
attachment
The document or URL of the document with critical metadata to prove that the content has integrity.
-
format:
format
An identifier of the document encoding, structure, and template.
Nested Schema : attachment
The document or URL of the document with critical metadata to prove that the content has integrity.
Match All
The document or URL of the document with critical metadata to prove that the content has integrity.
Show Source
Nested Schema : format
An identifier of the document encoding, structure, and template.
Match All
An identifier of the document encoding, structure, and template.
Show Source
Nested Schema : DocumentReferenceAttachment
Type:
Show Source
object-
contentType: string
The type of data in the attachment that allows a method to be chosen to interpret or render the data.
-
data: string
The actual data of the attachment, which is base64 encoded.
-
url: string
(uri)
A location where the data can be accessed.
Nested Schema : DocumentReferenceContext
Type:
Show Source
object-
encounter:
encounter
The clinical encounter that the document content is associated with.
-
period:
period
The time period over which the service that is described by the document was provided.
Nested Schema : encounter
The clinical encounter that the document content is associated with.
Match All
The clinical encounter that the document content is associated with.
Show Source
Nested Schema : period
The time period over which the service that is described by the document was provided.
Match All
The time period over which the service that is described by the document was provided.
Show Source
Nested Schema : BundleLink
Type:
Show Source
object-
relation: string
Allowed Values:
[ "self", "next", "previous" ] -
url: string
(uri)
Default Response
An OperationOutcome
describing any error that occurred.
Root Schema : OperationOutcome
Type:
Show Source
object-
issue(required): array
issue
-
resourceType(required): string
Allowed Values:
[ "OperationOutcome" ]